## EOfflineListener

EOfflineListener — Tracks Evolution's online/offline state

## Functions

EOfflineListener * | e_offline_listener_new ()
EOfflineListenerState | e_offline_listener_get_state ()

## Types and Values

enum | EOfflineListenerState
struct | EOfflineListener

## Object Hierarchy

        GObject
        ╰── EOfflineListener

## Description

An EOfflineListener basically just tracks Evolution's online/offline state and emits an “changed” signal when a state change is detected.

This class is highly Evolution-centric and for that reason has been deprecated. Use GNetworkMonitor instead.

## Functions

### e_offline_listener_new ()

    EOfflineListener *
    e_offline_listener_new (void);

`e_offline_listener_new` is deprecated and should not be used in newly-written code.

Returns a new EOfflineListener.

#### Returns

a new EOfflineListener

Since: 2.30

### e_offline_listener_get_state ()

    EOfflineListenerState
    e_offline_listener_get_state (EOfflineListener *eol);

`e_offline_listener_get_state` is deprecated and should not be used in newly-written code.

This function now simply returns EOL_STATE_ONLINE always.

#### Parameters

eol | an EOfflineListener |

#### Returns

EOL_STATE_OFFLINE or EOL_STATE_ONLINE

Since: 2.30

## Types and Values

### enum EOfflineListenerState

`EOfflineListenerState` is deprecated and should not be used in newly-written code.

Indicates the online/offline state of the listener.

#### Members

EOL_STATE_OFFLINE | Evolution is in offline mode. |
EOL_STATE_ONLINE | Evolution is in online mode. |

Since: 2.30

### struct EOfflineListener

    struct EOfflineListener;

`EOfflineListener` is deprecated and should not be used in newly-written code.

Contains only private data that should be read and manipulated using the functions below.

Since: 2.30